G_BEGIN_DECLS

typedef void (*rtcom_tp_cli_connection_interface_contact_info_signal_callback_contactinfochanged) (TpConnection *proxy,
    guint arg_Contact,
    const GPtrArray *arg_ContactInfo,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *rtcom_tp_cli_connection_interface_contact_info_connect_to_contactinfochanged (TpConnection *proxy,
    rtcom_tp_cli_connection_interface_contact_info_signal_callback_contactinfochanged callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*rtcom_tp_cli_connection_interface_contact_info_callback_for_get_contact_info) (TpConnection *proxy,
    GHashTable *out_ContactInfo,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *rtcom_tp_cli_connection_interface_contact_info_call_get_contact_info (TpConnection *proxy,
    gint timeout_ms,
    const GArray *in_Contacts,
    rtcom_tp_cli_connection_interface_contact_info_callback_for_get_contact_info callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

gboolean rtcom_tp_cli_connection_interface_contact_info_run_get_contact_info (TpConnection *proxy,
    gint timeout_ms,
    const GArray *in_Contacts,
    GHashTable **out_ContactInfo,
    GError **error,
    GMainLoop **loop);


typedef void (*rtcom_tp_cli_connection_interface_contact_info_callback_for_request_contact_info) (TpConnection *proxy,
    const GPtrArray *out_Contact_Info,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *rtcom_tp_cli_connection_interface_contact_info_call_request_contact_info (TpConnection *proxy,
    gint timeout_ms,
    guint in_Contact,
    rtcom_tp_cli_connection_interface_contact_info_callback_for_request_contact_info callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

gboolean rtcom_tp_cli_connection_interface_contact_info_run_request_contact_info (TpConnection *proxy,
    gint timeout_ms,
    guint in_Contact,
    GPtrArray **out_Contact_Info,
    GError **error,
    GMainLoop **loop);


typedef void (*rtcom_tp_cli_connection_interface_contact_info_callback_for_set_contact_info) (TpConnection *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *rtcom_tp_cli_connection_interface_contact_info_call_set_contact_info (TpConnection *proxy,
    gint timeout_ms,
    const GPtrArray *in_ContactInfo,
    rtcom_tp_cli_connection_interface_contact_info_callback_for_set_contact_info callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

gboolean rtcom_tp_cli_connection_interface_contact_info_run_set_contact_info (TpConnection *proxy,
    gint timeout_ms,
    const GPtrArray *in_ContactInfo,
    GError **error,
    GMainLoop **loop);


typedef void (*rtcom_tp_cli_connection_interface_emergency_signal_callback_emergency_services_changed) (TpConnection *proxy,
    const GPtrArray *arg_services,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *rtcom_tp_cli_connection_interface_emergency_connect_to_emergency_services_changed (TpConnection *proxy,
    rtcom_tp_cli_connection_interface_emergency_signal_callback_emergency_services_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*rtcom_tp_cli_connection_interface_emergency_callback_for_get_emergency_services) (TpConnection *proxy,
    const GPtrArray *out_services,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *rtcom_tp_cli_connection_interface_emergency_call_get_emergency_services (TpConnection *proxy,
    gint timeout_ms,
    rtcom_tp_cli_connection_interface_emergency_callback_for_get_emergency_services callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

gboolean rtcom_tp_cli_connection_interface_emergency_run_get_emergency_services (TpConnection *proxy,
    gint timeout_ms,
    GPtrArray **out_services,
    GError **error,
    GMainLoop **loop);


typedef void (*rtcom_tp_cli_connection_interface_forwarding_signal_callback_forwarding_changed) (TpConnection *proxy,
    guint arg_forward_to,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *rtcom_tp_cli_connection_interface_forwarding_connect_to_forwarding_changed (TpConnection *proxy,
    rtcom_tp_cli_connection_interface_forwarding_signal_callback_forwarding_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*rtcom_tp_cli_connection_interface_forwarding_callback_for_get_forwarding_handle) (TpConnection *proxy,
    guint out0,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *rtcom_tp_cli_connection_interface_forwarding_call_get_forwarding_handle (TpConnection *proxy,
    gint timeout_ms,
    rtcom_tp_cli_connection_interface_forwarding_callback_for_get_forwarding_handle callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

gboolean rtcom_tp_cli_connection_interface_forwarding_run_get_forwarding_handle (TpConnection *proxy,
    gint timeout_ms,
    guint *out0,
    GError **error,
    GMainLoop **loop);


typedef void (*rtcom_tp_cli_connection_interface_forwarding_callback_for_set_forwarding_handle) (TpConnection *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *rtcom_tp_cli_connection_interface_forwarding_call_set_forwarding_handle (TpConnection *proxy,
    gint timeout_ms,
    guint in_forward_to,
    rtcom_tp_cli_connection_interface_forwarding_callback_for_set_forwarding_handle callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

gboolean rtcom_tp_cli_connection_interface_forwarding_run_set_forwarding_handle (TpConnection *proxy,
    gint timeout_ms,
    guint in_forward_to,
    GError **error,
    GMainLoop **loop);


typedef void (*rtcom_tp_cli_connection_interface_privacy_signal_callback_privacy_services_changed) (TpConnection *proxy,
    const gchar **arg_services,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *rtcom_tp_cli_connection_interface_privacy_connect_to_privacy_services_changed (TpConnection *proxy,
    rtcom_tp_cli_connection_interface_privacy_signal_callback_privacy_services_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*rtcom_tp_cli_connection_interface_skype_creditinfo_signal_callback_balance_changed) (TpConnection *proxy,
    guint arg_Balance,
    guint arg_BalanceScale,
    const gchar *arg_Currency,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *rtcom_tp_cli_connection_interface_skype_creditinfo_connect_to_balance_changed (TpConnection *proxy,
    rtcom_tp_cli_connection_interface_skype_creditinfo_signal_callback_balance_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*rtcom_tp_cli_connection_interface_stored_messages_signal_callback_messages_expunged) (TpConnection *proxy,
    const gchar **arg_Stored_Message_Tokens,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *rtcom_tp_cli_connection_interface_stored_messages_connect_to_messages_expunged (TpConnection *proxy,
    rtcom_tp_cli_connection_interface_stored_messages_signal_callback_messages_expunged callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*rtcom_tp_cli_connection_interface_stored_messages_callback_for_deliver_stored_messages) (TpConnection *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *rtcom_tp_cli_connection_interface_stored_messages_call_deliver_stored_messages (TpConnection *proxy,
    gint timeout_ms,
    const gchar **in_StoredMessageTokens,
    rtcom_tp_cli_connection_interface_stored_messages_callback_for_deliver_stored_messages callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

gboolean rtcom_tp_cli_connection_interface_stored_messages_run_deliver_stored_messages (TpConnection *proxy,
    gint timeout_ms,
    const gchar **in_StoredMessageTokens,
    GError **error,
    GMainLoop **loop);


typedef void (*rtcom_tp_cli_connection_interface_stored_messages_callback_for_expunge_messages) (TpConnection *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *rtcom_tp_cli_connection_interface_stored_messages_call_expunge_messages (TpConnection *proxy,
    gint timeout_ms,
    const gchar **in_StoredMessageTokens,
    rtcom_tp_cli_connection_interface_stored_messages_callback_for_expunge_messages callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

gboolean rtcom_tp_cli_connection_interface_stored_messages_run_expunge_messages (TpConnection *proxy,
    gint timeout_ms,
    const gchar **in_StoredMessageTokens,
    GError **error,
    GMainLoop **loop);


typedef void (*rtcom_tp_cli_connection_interface_stored_messages_callback_for_set_storage_state) (TpConnection *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *rtcom_tp_cli_connection_interface_stored_messages_call_set_storage_state (TpConnection *proxy,
    gint timeout_ms,
    gboolean in_OutOfStorage,
    rtcom_tp_cli_connection_interface_stored_messages_callback_for_set_storage_state callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);

gboolean rtcom_tp_cli_connection_interface_stored_messages_run_set_storage_state (TpConnection *proxy,
    gint timeout_ms,
    gboolean in_OutOfStorage,
    GError **error,
    GMainLoop **loop);


G_END_DECLS
